Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.spi.core.remoting
Interface ConnectorFactory

    public interface ConnectorFactory

A ConnectorFactory is used by the client for creating connectors.

A Connector is used to connect to an `Acceptor`.

Author:
  Tim Fox

Method Summary
`Connector` | `createConnector(Map<String,Object> configuration, BufferHandler handler, ConnectionLifeCycleListener listener, Executor closeExecutor, Executor threadPool, ScheduledExecutorService scheduledThreadPool)` creates a new instance of a connector.
`Set<String>` | `getAllowableProperties()` Returns the allowable properties for this connector.

Method Detail

### createConnector

    Connector createConnector(Map<String,Object> configuration,
                              BufferHandler handler,
                              ConnectionLifeCycleListener listener,
                              Executor closeExecutor,
                              Executor threadPool,
                              ScheduledExecutorService scheduledThreadPool)

  creates a new instance of a connector.

  Parameters:
    `configuration` - the configuration
    `handler` - the handler
    `listener` - the listener
    `closeExecutor` - the close executor
    `threadPool` - the threadpool
    `scheduledThreadPool` - the scheduled thread pool
  Returns:
    a new connector

### getAllowableProperties

    Set<String> getAllowableProperties()

  Returns the allowable properties for this connector.

  This will differ between different connector implementations.

  Returns:
    the allowable properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.